Bug 458277 - GDL package needs dependency on plplot added
GDL package needs dependency on plplot added
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 09:35 EDT by Jacques
Modified: 2008-10-01 02:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 02:42:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacques 2008-08-07 09:35:05 EDT
Description of problem:
Package needs plplot, but this is not in the dependency list

Version-Release number of selected component (if applicable):
0.9.0-rc1.1

How reproducible:
Install gdl, run a plot command and it generates an error. Install plplot and it is OK.

Steps to Reproduce:
1. $ sudo yum install gdl
2. $ gdl
3. GDL> plot, [0]
4. GDL> exit
5. $ sudo yum install plplot
6. GDL> plot, [0]
7. GDL> exit
  
Actual results:
plot command fails with the error

*** PLPLOT ERROR, ABORTING OPERATION ***
plInitDispatchTable: Could not open drivers directory, aborting operation
Requested device xwin not available

Plotting Options:

Enter device number or keyword:

Expected results:
"sudo yum install gdl" should install plplot (not just plplot-libs)

Additional info:
Comment 1 Orion Poplawski 2008-09-05 23:47:27 EDT
Hmm, probably should try to split up the plplot package to handle this better, but I'm not up for it at the moment.  gdl-0.9-0.rc1.2 will be pushed shortly with this added.  Thanks for the report.
Comment 2 Fedora Update System 2008-09-06 00:02:32 EDT
gdl-0.9-0.rc1.2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gdl-0.9-0.rc1.2.fc9
Comment 3 Fedora Update System 2008-09-11 13:09:12 EDT
gdl-0.9-0.rc1.2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7922
Comment 4 Fedora Update System 2008-10-01 02:42:17 EDT
gdl-0.9-0.rc1.2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.